{% extends "templates/form.njk" %}
{% from "packages/components/input/macro.njk" import input %}
{% from "packages/components/fieldset/macro.njk" import fieldset %}
{% from "packages/components/inset-text/macro.njk" import insetText %}
{% from "macros/hrt-form-heading-with-para.njk" import hrtFormHeadingWithParagraph %}

{% block formContent %}

    {% set legendHtml = hrtFormHeadingWithParagraph({heading: heading, paragraph: paragraphOne}) %}

    {% call fieldset({
        legend: {
          isPageHeading: false,
          html: legendHtml
        }
    }) %}

    {{ input({
        label: {
            text: postcodeLabel
        },
        classes: "nhsuk-input--width-10",
        id: "postcode",
        name: "postcode",
        value: claim.sanitizedPostcode,
        errorMessage: errors | getErrorForField('postcode'),
        autocomplete: "off"
    }) }}

    {% endcall %}

    <p>
      <a id="manual-address-link" href='{{contextPath}}/manual-address'>{{linkName}}</a>
    </p>

{% endblock %}
